server:
  port: 8020

spring:
  application:
    name: bacisic-security
  # jdbc config
  datasource:
    driver-class-name: com.mysql.cj.jdbc.Driver
    url:
    username:
    password:

  # jackson config
  jackson:
    date-format: yyyy-MM-dd HH:mm:ss
    time-zone: GMT+8
    default-property-inclusion: NON_NULL

  # \u5B9A\u65F6\u4EFB\u52A1\u914D\u7F6E
  quartz:
    properties:
      org:
        quartz:
          threadPool: #\u8FDE\u63A5\u6C60
            class: org.quartz.simpl.SimpleThreadPool
            threadCount: 20
            threadPriority: 5
            threadsInheritContextClassLoaderOfInitializingThread: true

### mybatis-plus config ###
mybatis-plus:
  configuration:
    log-impl: org.apache.ibatis.logging.stdout.StdOutImpl
  mapper-locations: classpath*:mapper/*.xml
  global-config:
    db-config:
      logic-delete-value: 1 #Logical deleted value (default is 1)
      logic-not-delete-value: 0 #Logical not deleted value (default is 0)
  type-enums-package: com.benson.common.*.entity.enums
